Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Where can I get Xtext 1.0.1 (to run axdt on Linux)(Xtext 1.0.1 seems no more available anywhere...?)
Where can I get Xtext 1.0.1 (to run axdt on Linux) [message #817356] Fri, 09 March 2012 19:52 Go to next message
Andy E is currently offline Andy E
Messages: 4
Registered: March 2012
Junior Member
Hey there,

this has already cost me countless hours to install, so I'm seeing my very last chance by asking in this forum.

I'd like to use axdt ( new.axdt.org ) on my Debian Linux box. For that to work, I MUST have Eclipse 3.5 or 3.6---because the 3.7 versions are known to have issues with axdt---that's why I've now stuck to 3.5.2 (Galileo), because Debian (standard) won't ship any Helios versions (which is awkward, but that's life)

Galileo has all I need, but all I could find in repositories (e. g. download.itemis.com/updates) is a 1.0.2 Helios version. And you know, the "Helios" has not been put there by pure luck: whilst I thought it would really be not much difference, I learned that it really absolutely doesn't run on Galileo. Well, yes, it installs fine - but if the "Axdt" perspective does not appear in Eclipse, well, it's not much use for me.

AFAIK axdt was even conceived using Xtext 1.0.1 but where can I get that?

I googled around and found what I was looking for ...

archive.eclipse.org/modeling/tmf/xtext/downloads/drops/1.0.1/R201008251220/

... however, as things are - as usual - never as easy as you'd expect them to, it's NOT possible to install the 1.0.1 version just by "Help->Install Software" (my usual approach). You will have to unzip it to a local directory and pray that Eclipse will accept it as an "install directory".

However, that has not made axdt work yet so far, so is there anything else I can do?

[Updated on: Sat, 10 March 2012 17:50]

Report message to a moderator

Re: Where can I get Xtext 1.0.1 (to run axdt on Linux) [message #817941 is a reply to message #817356] Sat, 10 March 2012 17:48 Go to previous message
Andy E is currently offline Andy E
Messages: 4
Registered: March 2012
Junior Member
Nevermind, thanks for your overwhelming support (LOL) Seriously though, I've duped this post on another tracker and I solved the problem by acting as an alpha-tester for the developer. I can't thank him enough for his extended support, otherwise it would probably not have been possible to get the issue tackled the right way.

1.0.1 was actually required for the old axdt build but now the new build will run perfectly on Eclipse 3.7.1 bundled with Xtext 2.2.1.
Get it at jenkins.mbnull.org.



Previous Topic:Changing Eclipse examples
Next Topic:Turn off some eclipse notifications
Goto Forum:
  


Current Time: Mon Jul 28 18:31:51 EDT 2014

Powered by FUDForum. Page generated in 0.02182 seconds